curl --request PUT \
--url https://api.bizzyco.ai/v1/automations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Auto-reply to inquiries",
"description": "Sends an auto-reply to new inquiries",
"instructions": "Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.",
"enabled": true,
"groupId": "123e4567-e89b-12d3-a456-426614174000",
"groupName": "Customer Support",
"groupMetadata": {
"purpose": "<string>",
"createdBy": "<string>",
"aiTaskId": "<string>",
"tags": [
"<string>"
]
},
"maxExecutions": 100,
"expiresAt": "2025-12-31T23:59:59Z",
"status": "paused"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Auto-reply to inquiries',
description: 'Sends an auto-reply to new inquiries',
instructions: 'Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.',
enabled: true,
groupId: '123e4567-e89b-12d3-a456-426614174000',
groupName: 'Customer Support',
groupMetadata: {
purpose: '<string>',
createdBy: '<string>',
aiTaskId: '<string>',
tags: ['<string>']
},
maxExecutions: 100,
expiresAt: '2025-12-31T23:59:59Z',
status: 'paused'
})
};
fetch('https://api.bizzyco.ai/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/automations/{id}"
payload = {
"name": "Auto-reply to inquiries",
"description": "Sends an auto-reply to new inquiries",
"instructions": "Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.",
"enabled": True,
"groupId": "123e4567-e89b-12d3-a456-426614174000",
"groupName": "Customer Support",
"groupMetadata": {
"purpose": "<string>",
"createdBy": "<string>",
"aiTaskId": "<string>",
"tags": ["<string>"]
},
"maxExecutions": 100,
"expiresAt": "2025-12-31T23:59:59Z",
"status": "paused"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/automations/{id}"
payload := strings.NewReader("{\n \"name\": \"Auto-reply to inquiries\",\n \"description\": \"Sends an auto-reply to new inquiries\",\n \"instructions\": \"Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.\",\n \"enabled\": true,\n \"groupId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"groupName\": \"Customer Support\",\n \"groupMetadata\": {\n \"purpose\": \"<string>\",\n \"createdBy\": \"<string>\",\n \"aiTaskId\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n },\n \"maxExecutions\": 100,\n \"expiresAt\": \"2025-12-31T23:59:59Z\",\n \"status\": \"paused\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"triggerEvent": "<string>",
"triggerType": "event",
"cronExpression": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastScheduledRunAt": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"isActive": true,
"disabledAt": "2023-11-07T05:31:56Z",
"disabledReason": "tier_downgrade",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantedTools": [
"<string>"
],
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupMetadata": {
"purpose": "<string>",
"createdBy": "<string>",
"aiTaskId": "<string>",
"tags": [
"<string>"
]
},
"maxExecutions": 123,
"currentExecutions": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"status": "draft"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Update automation
Update an existing automation. Note: This endpoint accepts partial updates (same behavior as PATCH). All fields are optional. Changing instructions regenerates the automation: it stops running, its trigger and schedule are re-derived, and it returns to pending approval once the new version is ready.
curl --request PUT \
--url https://api.bizzyco.ai/v1/automations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Auto-reply to inquiries",
"description": "Sends an auto-reply to new inquiries",
"instructions": "Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.",
"enabled": true,
"groupId": "123e4567-e89b-12d3-a456-426614174000",
"groupName": "Customer Support",
"groupMetadata": {
"purpose": "<string>",
"createdBy": "<string>",
"aiTaskId": "<string>",
"tags": [
"<string>"
]
},
"maxExecutions": 100,
"expiresAt": "2025-12-31T23:59:59Z",
"status": "paused"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Auto-reply to inquiries',
description: 'Sends an auto-reply to new inquiries',
instructions: 'Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.',
enabled: true,
groupId: '123e4567-e89b-12d3-a456-426614174000',
groupName: 'Customer Support',
groupMetadata: {
purpose: '<string>',
createdBy: '<string>',
aiTaskId: '<string>',
tags: ['<string>']
},
maxExecutions: 100,
expiresAt: '2025-12-31T23:59:59Z',
status: 'paused'
})
};
fetch('https://api.bizzyco.ai/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/automations/{id}"
payload = {
"name": "Auto-reply to inquiries",
"description": "Sends an auto-reply to new inquiries",
"instructions": "Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.",
"enabled": True,
"groupId": "123e4567-e89b-12d3-a456-426614174000",
"groupName": "Customer Support",
"groupMetadata": {
"purpose": "<string>",
"createdBy": "<string>",
"aiTaskId": "<string>",
"tags": ["<string>"]
},
"maxExecutions": 100,
"expiresAt": "2025-12-31T23:59:59Z",
"status": "paused"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/automations/{id}"
payload := strings.NewReader("{\n \"name\": \"Auto-reply to inquiries\",\n \"description\": \"Sends an auto-reply to new inquiries\",\n \"instructions\": \"Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours.\",\n \"enabled\": true,\n \"groupId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"groupName\": \"Customer Support\",\n \"groupMetadata\": {\n \"purpose\": \"<string>\",\n \"createdBy\": \"<string>\",\n \"aiTaskId\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n },\n \"maxExecutions\": 100,\n \"expiresAt\": \"2025-12-31T23:59:59Z\",\n \"status\": \"paused\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"triggerEvent": "<string>",
"triggerType": "event",
"cronExpression": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastScheduledRunAt": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"isActive": true,
"disabledAt": "2023-11-07T05:31:56Z",
"disabledReason": "tier_downgrade",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantedTools": [
"<string>"
],
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupMetadata": {
"purpose": "<string>",
"createdBy": "<string>",
"aiTaskId": "<string>",
"tags": [
"<string>"
]
},
"maxExecutions": 123,
"currentExecutions": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"status": "draft"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Automation UUID
"123e4567-e89b-12d3-a456-426614174000"
Body
"Auto-reply to inquiries"
"Sends an auto-reply to new inquiries"
Changing the instructions regenerates the automation: it stops running, its trigger and schedule are re-derived, and it waits for approval again.
"Reply to the sender thanking them for their inquiry and let them know we will respond within 24 hours."
true
"123e4567-e89b-12d3-a456-426614174000"
"Customer Support"
Show child attributes
Show child attributes
100
"2025-12-31T23:59:59Z"
Pause or resume the automation (paused / active). Only an automation that is already active or paused accepts either value; anything else is rejected with 409 — approve it in the app first.
draft, evaluation_failed, code_generation_failed, pending_approval, active, paused, completed, expired, failed, archived "paused"